be.fgov.ehealth.mycarenet.commons.core.v4

## Class RoutingType

- java.lang.Object
- - be.fgov.ehealth.mycarenet.commons.core.v4.RoutingType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:15:35+01:00",
                 comments="JAXB RI v2.2.11")
      public class RoutingType
      extends Object
      implements Serializable

  Information used to determine the health insurance organization. NIP-PIN uses it if the HIO is not defined explicitely in the WS-Addressing "To" element.

  Java class for RoutingType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RoutingType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <element name="CareReceiver" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}CareReceiverIdType"/>
                 <element name="Subject" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}SubjectType"/>
               </choice>
               <element name="ReferenceDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
               <element name="Period" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v4}PeriodType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoutingType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CareReceiverIdType` | `getCareReceiver()` Gets the value of the careReceiver property.
    `PeriodType` | `getPeriod()` Gets the value of the period property.
    `org.joda.time.DateTime` | `getReferenceDate()` Gets the value of the referenceDate property.
    `SubjectType` | `getSubject()` Gets the value of the subject property.
    `void` | `setCareReceiver(CareReceiverIdType value)` Sets the value of the careReceiver property.
    `void` | `setPeriod(PeriodType value)` Sets the value of the period property.
    `void` | `setReferenceDate(org.joda.time.DateTime value)` Sets the value of the referenceDate property.
    `void` | `setSubject(SubjectType value)` Sets the value of the subject property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoutingType

          public RoutingType()

  - ### Method Detail

    - #### getSubject

          public SubjectType getSubject()

      Gets the value of the subject property.
      Returns:
        possible object is `SubjectType`

    - #### setSubject

          public void setSubject(SubjectType value)

      Sets the value of the subject property.
      Parameters:
        `value` - allowed object is `SubjectType`

    - #### getCareReceiver

          public CareReceiverIdType getCareReceiver()

      Gets the value of the careReceiver property.
      Returns:
        possible object is `CareReceiverIdType`

    - #### setCareReceiver

          public void setCareReceiver(CareReceiverIdType value)

      Sets the value of the careReceiver property.
      Parameters:
        `value` - allowed object is `CareReceiverIdType`

    - #### getReferenceDate

          public org.joda.time.DateTime getReferenceDate()

      Gets the value of the referenceDate property.
      Returns:
        possible object is `String`

    - #### setReferenceDate

          public void setReferenceDate(org.joda.time.DateTime value)

      Sets the value of the referenceDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getPeriod

          public PeriodType getPeriod()

      Gets the value of the period property.
      Returns:
        possible object is `PeriodType`

    - #### setPeriod

          public void setPeriod(PeriodType value)

      Sets the value of the period property.
      Parameters:
        `value` - allowed object is `PeriodType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.